%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jbossws-api
Version:          1.0.3
Release:          2%{?dist}
Summary:          JBossWS API
# https://issues.jboss.org/browse/JBWS-4001
License:          LGPLv2+
URL:              http://www.jboss.org/jbossws
Source0:          https://github.com/jbossws/jbossws-api/archive/%{name}-%{namedversion}.tar.gz
BuildArch:        noarch

BuildRequires:    maven-local
BuildRequires:    mvn(junit:junit)
BuildRequires:    mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires:    mvn(org.apache.maven.plugins:maven-release-plugin)
BuildRequires:    mvn(org.jboss.logging:jboss-logging)
BuildRequires:    mvn(org.jboss.logging:jboss-logging-annotations:1)
BuildRequires:    mvn(org.jboss.logging:jboss-logging-processor:1)
BuildRequires:    mvn(org.jboss.ws:jbossws-parent:pom:)

%description
JBoss WS public API.

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{namedversion}

# Disable java8doc doclint, using own javadoc setting
%pom_remove_plugin :maven-javadoc-plugin

%pom_xpath_set pom:properties/pom:jboss-logging-annotations.version 1
%pom_xpath_set pom:properties/pom:jboss-logging-processor.version 1

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles

%files javadoc -f .mfiles-javadoc

%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Jul 25 2016 gil cattaneo <puntogil@libero.it> 1.0.3-1
- update to 1.0.3.Final

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-0.7.CR1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jul 29 2015 gil cattaneo <puntogil@libero.it> 1.0.2-0.6.CR1
- fix FTBFS rhbz#1239609
- use BRs mvn()-like
- resolve some rpmlint problem

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-0.5.CR1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-0.4.CR1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 1.0.2-0.3.CR1
- Use Requires: java-headless rebuild (#1067528)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-0.2.CR1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jun 13 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.2-0.1.CR1
- Upstream release 1.0.2.CR1
- New guidelines

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 1.0.1-2
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Mon Nov 12 2012 Marek Goldmann <mgoldman@redhat.com> - 1.0.1-1
- Upstream release 1.0.1.Final
- Spec celanup

* Tue Oct 02 2012 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-3
- Use POM macros
- Add jbossws-parent BR

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Feb 20 2012 Marek Goldmann <mgoldman@redhat.com> 1.0.0-1
- Initial packaging

